# Calculating ocean temperature and salinity biases of EC-Earth vs. ORAS5 and anomalies of ORAS5 vs. its climatological reference.

Scripts for calculating ocean temperature and salinity biases of EC-Earth historical runs vs. ORAS5 and January 1985 anomalies of ORAS5 vs. its climatological reference.

1. Biases of EC-Earth compared to observations are calculated using NCO and CDO operators in the script `calculate_biases.sh`. Please read the NCO and CDO documentation for information on the commands used. The BSC provided us with EC-Earth historical files of ocean temperature and salinity on 75 depth levels, which are ensemble means of their 10 historical members over the period 1985-2014, at monthly resolution. The observations we use consist of the corresponding file (ocean temperature and salinity inside the same netcdf file) from the ORAS5 ocean reanalysis.

   The first step in `calculate_biases.sh` is to prepare the ORAS5 file to have the same grid (remapping) and format (renaming and reformatting of dimensions and variables, separation into 2 different files for temperature and salinity) as the EC-Earth files. 

   Then, the biases are calculated at a monthly timestep and on each depth level as the difference between the variable (temperature/salinity) in the EC-Earth historical file and the variable in ORAS5. These biases will thus have to be SUBSTRACTED from the hindcasts later on. Note that this step is extremely slow on pelican (it takes several hours).

   Climatological biases (for mean January, February, etc. over the 1985-2014 period) are then calculated.

   A final reformatting step then takes place to have the same format (renaming of dimensions and variables) as the EC-Earth hindcast ocean temperature and salinity files used for the boundary conditions.

2. Anomalies of ORAS5 vs. its climatological reference are calculated for January 1985 using NCO and CDO operators in the script `calculate_anomalies_Jan.sh`. We use the climatological mean ORAS5 file of ocean temperature and salinity over 1985-2014 as the observational reference. The ORAS5 ocean conditions for January 1985 are also used.

   The first step in `calculate_anomalies_Jan.sh` is to extract the time step corresponding to January 1985 from the ORAS5 file and the month of January from the climatological reference. 

   Then the anomalies for January 1985 are calculated for every depth level as the difference between the ORAS5 values of temperature/salinity for January 1985 and the climatological values for January in the ORAS5 reference. These anomalies will thus have to be ADDED to the PARASO restarts later on.
 
   Anomalies for the surface are then extracted from the 3D anomalies.

   A final reformatting step then takes place to have the same format (renaming of dimensions and variables, concatenation of surface and 3D variables into one single file) as the PARASO restart files used for the initial conditions.
